package day_10_test

import (
	"advent_of_code_2024/day_10"
	"advent_of_code_2024/helpers"
	_ "embed"
	"testing"
)

//go:embed example_data.txt
var ExampleData string

//go:embed example_data_01.txt
var ExampleData01 string

//go:embed example_data_02.txt
var ExampleData02 string

//go:embed example_data_03.txt
var ExampleData03 string

//go:embed example_data_04.txt
var ExampleData04 string

func TestBasicSolutionExample(t *testing.T) {
	helpers.Check(t, day_10.SolveBasic, helpers.Format(ExampleData), 36)
}

func TestBasicSolutionExample01(t *testing.T) {
	helpers.Check(t, day_10.SolveBasic, helpers.Format(ExampleData01), 2)
}

func TestBasicSolutionExample02(t *testing.T) {
	helpers.Check(t, day_10.SolveBasic, helpers.Format(ExampleData02), 3)
}

func TestBasicSolutionExample03(t *testing.T) {
	helpers.Check(t, day_10.SolveBasic, helpers.Format(ExampleData03), 4)
}

func TestComplexSolutionExample(t *testing.T) {
	helpers.Check(t, day_10.SolveComplex, helpers.Format(ExampleData), 81)
}

func TestComplexSolutionExample03(t *testing.T) {
	helpers.Check(t, day_10.SolveComplex, helpers.Format(ExampleData03), 13)
}

func TestComplexSolutionExample04(t *testing.T) {
	helpers.Check(t, day_10.SolveComplex, helpers.Format(ExampleData04), 227)
}
